Subject: Re: bug#66885: 29.1; gnus search with mu always returns empty

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 01 Nov 2023 12:19:04 -0700

Britt Anderson <[email-masked]> writes:

> Using gnus and the mu search engine always returns an empty search. This
> is despite the fact that mu on the command line works, and that search
> in mu4e works.

Thanks for the report.

> I noted that there was a bug report for something similar in #54162 for
> notmuch search, but that was apparently due to an empty server name,
> which is not the case for me.
>
> I will note that if I run from the command line a command like:
>
> mu find --clearlinks --format=links --linksdir=/home/britt/.local/share/mail/search/ 55214

Gnus' code will construct a command line like this:

mu find --nocolor --muhome=~/.cache/mu <QUERY HERE> --format=plain --fields=l

Would you try running this with a sample query, and sending a sample
output (I hope it's just a list of file names). That should help narrow
down whether it's a problem sending the query in, or a problem parsing
the output.

Thanks,
Eric